Skip to main content
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
cards
/
{cardId}
/
process-expired
Processexpiredcard
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/process-expired \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "extensionDays": 365,
  "refundReference": "<string>"
}
'
{
  "success": true,
  "cardId": "<string>",
  "action": "<string>",
  "message": "<string>",
  "newExpiresAt": "2023-11-07T05:31:56Z",
  "transactionId": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

cardId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
action
string
required
Pattern: ^(extend|refund|void)$
extensionDays
integer | null
Required range: 1 <= x <= 730
refundReference
string | null
Maximum string length: 100

Response

Successful Response

success
boolean
required
cardId
string
required
action
string
required
message
string
required
newExpiresAt
string<date-time> | null
transactionId
string | null